File: changelog

package info (click to toggle)
pyqt5webengine 5.15.4-2
  • links: PTS, VCS
  • area: main
  • in suites: bookworm
  • size: 380 kB
  • sloc: python: 1,260; makefile: 14; sh: 13
file content (138 lines) | stat: -rw-r--r-- 4,664 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
pyqt5webengine (5.15.4-2) unstable; urgency=medium

  * Stop building extensions for Python debug interpreter, they are not needed
    with Python ≥ 3.8. Rely on automatic dbgsym packages for debug symbols.
  * Simplify debian/rules by including buildflags.mk.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 07 Sep 2021 18:22:35 +0300

pyqt5webengine (5.15.4-1) experimental; urgency=medium

  * New upstream release.
  * Bump runtime PyQt5 dependency to 5.15.4 (following upstream).
  * Bump python3-pyqtbuild build-dependency to 1.9 (following upstream).
  * Update years in debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 10 Mar 2021 20:37:19 +0300

pyqt5webengine (5.15.2-2) unstable; urgency=medium

  * Build-depend on sip-tools instead of sip5-tools, in preparation for
    SIP v6.
  * Update debian/watch version to 4.
  * Mark the autopkgtest as superficial.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 27 Jan 2021 20:46:38 +0300

pyqt5webengine (5.15.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump required python3-pyqtbuild version to 1.6.
  * Bump Standards-Version to 4.5.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 30 Nov 2020 19:07:17 +0300

pyqt5webengine (5.15.1-1) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release.
  * Drop qt_5.14.diff, included in the new release.
  * Bump PyQt5 build- and run-time dependencies to 5.15.1.
  * Upload to unstable.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 24 Sep 2020 16:25:36 +0300

pyqt5webengine (5.15.0-1+exp1) experimental; urgency=medium

  * Switch from sip4 to sip5.
  * Use build directory provided by pybuild.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 18 Jun 2020 14:54:12 +0300

pyqt5webengine (5.15.0-1) unstable; urgency=medium

  * New upstream release.
  * Backport upstream patch to fix build against Qt 5.14.
  * Update to debhelper compat level 13.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 14 Jun 2020 14:09:14 +0300

pyqt5webengine (5.14.0-2) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #943173

 -- Sandro Tosi <morph@debian.org>  Thu, 16 Jan 2020 19:55:39 -0500

pyqt5webengine (5.14.0-1) unstable; urgency=medium

  * Update debian/watch again, upstream tarballs are now on PyPI.
  * New upstream release.
  * Ship the PEP 376 metadata (closes: #947544).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 08 Jan 2020 19:10:33 +0300

pyqt5webengine (5.13.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop qt_5_12_5.diff, included in the new release.
  * Update debian/watch for removal of _gpl from tarball names.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 14 Dec 2019 11:36:00 +0300

pyqt5webengine (5.12.1-4) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 15 Oct 2019 19:01:03 +0300

pyqt5webengine (5.12.1-3) experimental; urgency=medium

  * Backport upstream patch to fix build against Qt 5.12.5.
  * Restore the Python 2 packages, needed for Calibre (closes: #941852).
  * Bump Standards-Version to 4.4.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 09 Oct 2019 19:09:11 +0300

pyqt5webengine (5.12.1-2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Use the sip3 dh addon provided by the latest python3-sip-dev package.
  * Fix version-substvar-for-external-package Lintian error.
  * Upload to unstable.

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 06 Sep 2019 14:50:37 +0300

pyqt5webengine (5.12.1-1) experimental; urgency=medium

  * New upstream release.
  * Drop qmake_flags.diff, applied upstream.
  * Update debian/watch for upstream tarballs move.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 28 Mar 2019 10:50:18 +0300

pyqt5webengine (5.12-2) experimental; urgency=medium

  * Add Breaks/Replaces on older versions of pyqt5-dev (closes: #924088).
  * Turn the documentation directory of python3-pyqt5.qtwebengine-dbg package
    back into symlink (closes: #924229).
    Thanks to Andreas Beckmann for reporting both bugs!

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 10 Mar 2019 17:57:36 +0300

pyqt5webengine (5.12-1) experimental; urgency=medium

  * Initial release, split out of pyqt5 source (closes: #923884).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 07 Mar 2019 13:37:50 +0300